buildscript {
  repositories {
    mavenCentral()
    gradlePluginPortal()
  }
}

plugins {
  kotlin("jvm") version "latest.release"
  kotlin("plugin.allopen") version "latest.release"
  id("io.quarkus") version "latest.release"
}

repositories {
  mavenCentral()
}

dependencies {
  implementation(enforcedPlatform("io.quarkus:quarkus-bom:latest.release"))

  implementation("io.quarkus:quarkus-kotlin")
  implementation("io.quarkus:quarkus-resteasy")
  implementation("io.quarkus:quarkus-resteasy-jackson")
  implementation("io.quarkus:quarkus-amazon-lambda-http")

  testImplementation("io.quarkus:quarkus-junit5")
  testImplementation("io.rest-assured:rest-assured")
}

group = "just.testing"
version = "1.0.0"

java {
  sourceCompatibility = JavaVersion.VERSION_11
  targetCompatibility = JavaVersion.VERSION_11
}

allOpen {
  annotation("javax.ws.rs.Path")
  annotation("javax.enterprise.context.ApplicationScoped")
  annotation("io.quarkus.test.junit.QuarkusTest")
}

tasks.withType<org.jetbrains.kotlin.gradle.tasks.KotlinCompile> {
  kotlinOptions.jvmTarget = JavaVersion.VERSION_11.toString()
  kotlinOptions.javaParameters = true
}